<?php
  header("Access-Control-Allow-Origin: *");
  require_once './clases/sendgrid/vendor/autoload.php';

  $jsonData = array("success" => false);
  $nombre = $_POST['nombre'];
  $mail = $_POST['mail'];
  $telefono = $_POST['telefono'];
  $mensaje = $_POST['mensaje'];

  $Body = "Nombre: ";
  $Body .= $nombre . "<br>";
  $Body .= "Teléfono: ";
  $Body .= $telefono . "<br>";
  $Body .= "Correo: ";
  $Body .= $mail . "<br>";
  $Body .= "Mensaje: <br>";
  $Body .= $mensaje;

  $subject = "Contacto desde Formas365";

  $nombre_from = 'Contacto Formas365';
  $email_from = 'mail@formas365.com';  
  $from = new SendGrid\Email($nombre_from, $email_from);
  $toMarco = new SendGrid\Email("Marco Benitez", "marco.benitez@cibermundo.com.mx");

  $content = new SendGrid\Content("text/html", $Body);

  $mailMarco = new SendGrid\Mail($from, $subject, $toMarco, $content);

  $sg = new \SendGrid('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');
  $sg->client->mail()->send()->post($mailMarco);

  $jsonData['success'] = true;
  echo json_encode($jsonData, JSON_FORCE_OBJECT);

?>